dsimport(1)

NAME
dsimport

SYNOPSIS
dsimport filepath nodepath O|M|A|I|N [options]
dsimport --version
dsimport --help

DESCRIPTION
dsimport is a tool for importing records into an Open Directory source.

USAGE

filepath
    is the path of the file to be imported.

nodepath
    is the path of the Open Directory node where the records should be imported.

A flag that specifies how to handle conflicting records:

    O   overwrite of any existing records that have the same record name, UID or GID. All previous attribute values are deleted.

    M   merge import data with existing records or create the record if it does not exist.

    I   ignore the record if there is a conflicting name, UID or GID.

    A   append the data to existing records, but do not create a record if it does not exist.

    N   no duplicate checking should be done. Note this could cause failures and/or a slower import process.

A list of options and their descriptions:

--crypt
    is used to signify that all user passwords are crypt-based. Entries in the import file can also be prefixed with {CRYPT} on a per record basis if not all users are crypt-based. By default all passwords are assumed to be provided as listed in the import file.

--force attribute value
    forces a specific value for the named attribute for all records during the import. The new value will overwrite any value specified in the import file. This option may be specified multiple times for forcing more than one attribute.

--groupid value
    is the GID used for any records that do not specify a primary GID.

--grouppreset value
    designate a preset record to be applied to imported group records.

--loglevel value
    changes the amount of logging detail output to the log file.

--outputfile value
    Outputs a plist to the specified file with a list of changed users or groups and rejected records due to name conflicts. Also includes a list of deleted records (overwrite mode), and lists of records that failed and succeeded during import. The format of this file is likely to change in a future release of Mac OS X.

--password value
    is the admin's password for import operations. Used to authenticate to the directory node during import. A secure prompt will be used for interactive input if not supplied via parameter. Using the prompt method is the most secure method of providing password to dsimport.

--recordformat string
    passes in the delimiters and attributes and record type to specify the order and names of attributes in the file to be imported. An example record format string:

    0x0A 0x5C 0x3A 0x2C dsRecTypeStandard:Users 7 dsAttrTypeStandard:RecordName dsAttrTypeStandard:Password dsAttrTypeStandard:UniqueID dsAttrTypeStandard:PrimaryGroupID dsAttrTypeStandard:RealName dsAttrTypeStandard:NFSHomeDirectory dsAttrTypeStandard:UserShell

    A special value of IGNORE can be used for values that should be ignored in the import file on a record-by-record basis.

--recordtype type
    Override the record type defined in the import file. For example, to import ComputerGroups as ComputerLists, use:

    --recordtype dsRecTypeStandard:ComputerLists

    The opposite works for importing ComputerLists as ComputerGroups, and so on.

--remotehost hostname | ipaddress
    connects to a remote host at the network address specified. Commonly used to import to a remote Mac OS X Server.

--remoteusername value
    specifies user name to use for the remote connection.

--remotepassword value
    specifies password to use for the remote connection. A secure prompt will be used to ask for the password if --remoteusername is specified and --remotepassword is not. Using the prompt method is the most secure method of providing password to dsimport.

--startid value
    indicates the ID number to start with when the import tool generates user or group IDs for any import file that lacks an ID as part of the import data.

--template StandardUser | StandardGroup
    is used for delimited import of files that lack field descriptions.

    StandardUser contains the following fields in the order:
    1.  RecordName
    2.  Password
    3.  UniqueID
    4.  PrimaryGroupID
    5.  DistinguishedName
    6.  NFSHomeDirectory
    7.  UserShell

    StandardGroup contains the following fields in the order:
    1.  RecordName
    2.  Password
    3.  PrimaryGroupID
    4.  GroupMembership

--username value
    is the admin username to use when importing records. If this is not specified the current user is the default name. Also, if used in conjunction with --remotehost then this admin user will be used for the Open Directory node whereas the username provided in --remoteusername will be used for the remote connection. If this option is left off but --remoteusername is provided, then the remote username will be used for both the connection and for importing records.

--userpreset value
    designate a preset record to be applied to imported user records.

EXAMPLES

To import a standard dsexport file into the Local database:

dsimport myimportFile /Local/Default I --username administrator --password adminpassword

FILES
/usr/bin/dsimport
~/Library/Logs/ImportExport

SEE ALSO
DirectoryService(8) dsexport(1)